Create Resident Pet: Rentvine
https://api.propexo.com/v1/resident-pets/rentvine/| Interface | Method |
|---|---|
| Leases | POST /api/leases/{leaseID}/pets |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the resident
Whether the resident pet is a service animal
The age in years of the resident pet
Possible values: >= 0
The color of the resident pet
The raw value for the gender of the resident pet
Whether the resident pet is fixed
The name associated with the resident pet
The type associated with the resident pet
The weight in pounds of the resident pet
Possible values: >= 0
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the resident
Whether the resident pet is a service animal
The age in years of the resident pet
Possible values: >= 0
The color of the resident pet
The raw value for the gender of the resident pet
Whether the resident pet is fixed
The name associated with the resident pet
The type associated with the resident pet
The weight in pounds of the resident pet
Possible values: >= 0
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/resident-pets/rentvine/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"resident_id": "string",
"type": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"resident_id": "string",
"is_service_animal": true,
"age_in_years": 0,
"color": "string",
"gender_raw": "string",
"is_fixed": true,
"name": "string",
"type": "string",
"weight_in_pounds": 0
}
}